MONGOC_URI_SET_DATABASE(3)

NAME
mongoc_uri_set_database - mongoc_uri_set_database()

SYNOPSIS

        bool
        mongoc_uri_set_database (mongoc_uri_t *uri, const char *database);

PARAMETERS

    •   uri: A mongoc_uri_t.

    •   database: The new database name.

DESCRIPTION

Sets the URI's database, after the URI has been parsed from a string.

The driver authenticates to this database if the connection string includes authentication credentials. This database is also the return value of mongoc_client_get_default_database.

RETURNS

Returns false if the option cannot be set, for example if database is not valid UTF-8.

AUTHOR
MongoDB, Inc

COPYRIGHT
2017-present, MongoDB, Inc